org.eclipse.viatra.dse.objectives

## Class TrajectoryFitness

- java.lang.Object
- - org.eclipse.viatra.dse.objectives.TrajectoryFitness

- Direct Known Subclasses:
    TrajectoryWithStateFitness

      public class TrajectoryFitness
      extends java.lang.Object

  This class represents a trajectory and its fitness.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `crowdingDistance`
    `Fitness` | `fitness`
    `int` | `rank`
    `int` | `survive`
    `java.lang.Object[]` | `trajectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrajectoryFitness(java.lang.Object[] trajectory, Fitness fitness)` Creates a `TrajectoryFitness` with the full trajectory.
    `TrajectoryFitness(java.lang.Object transition, Fitness fitness)` Creates a `TrajectoryFitness` with the given activation id}
    `TrajectoryFitness(TrajectoryInfo trajectoryInfo, Fitness fitness)` Creates a `TrajectoryFitness` with the full trajectory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### trajectory

          public java.lang.Object[] trajectory

    - #### fitness

          public Fitness fitness

    - #### rank

          public int rank

    - #### crowdingDistance

          public double crowdingDistance

    - #### survive

          public int survive

  - ### Constructor Detail

    - #### TrajectoryFitness

          public TrajectoryFitness(java.lang.Object[] trajectory,
                                   Fitness fitness)

      Creates a `TrajectoryFitness` with the full trajectory.
      Parameters:
        `trajectory` - The trajectory.
        `fitness` - The fitness.

    - #### TrajectoryFitness

          public TrajectoryFitness(TrajectoryInfo trajectoryInfo,
                                   Fitness fitness)

      Creates a `TrajectoryFitness` with the full trajectory.
      Parameters:
        `trajectoryInfo` - The trajectory.
        `fitness` - The fitness.

    - #### TrajectoryFitness

          public TrajectoryFitness(java.lang.Object transition,
                                   Fitness fitness)

      Creates a `TrajectoryFitness` with the given activation id}
      Parameters:
        `transition` - The transition.
        `fitness` - The fitness.

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`